'use strict';

require('path');
require('hable');
require('signal-exit');
require('./tib-chunk.js');
require('os');
require('child_process');
require('tree-kill');
require('vue-template-compiler');
require('@babel/core');
require('@babel/parser');
require('./tib-chunk2.js');
require('./tib-chunk3.js');
const index = require('./tib-index.js');

class EdgeSeleniumBrowser extends index.default {
  constructor(config) {
    super(config);

    this.setBrowser('edge');

    /* istanbul ignore next */
    this.hook('selenium:build:before', async (builder) => {
      // TODO
      const configArguments = [];

      const options = new EdgeSeleniumBrowser.Options();
      options.addArguments(...configArguments);

      await this.callHook('selenium:build:options', options, builder);

      builder.setEdgeOptions(options);
    });
  }

  /* istanbul ignore next */
  async _loadDependencies() {
    super._loadDependencies();

    if (!EdgeSeleniumBrowser.driverLoaded) {
      if (await this.loadDependency('edgedriver')) {
        EdgeSeleniumBrowser.driverLoaded = true;
      }
    }

    if (!EdgeSeleniumBrowser.Options) {
      const { Options } = await this.loadDependency('selenium-webdriver/edge');
      EdgeSeleniumBrowser.Options = Options;
    }
  }
}

exports.default = EdgeSeleniumBrowser;
