'use strict';

require('path');
require('hable');
require('signal-exit');
require('./tib-chunk.js');
require('os');
require('child_process');
require('tree-kill');
require('vue-template-compiler');
require('@babel/core');
require('@babel/parser');
require('./tib-chunk2.js');
require('./tib-chunk3.js');
const index = require('./tib-index.js');

class SafariSeleniumBrowser extends index.default {
  constructor(config) {
    super(config);

    this.setBrowser('safari');

    /* istanbul ignore next */
    this.hook('selenium:build:before', async (builder) => {
      const options = new SafariSeleniumBrowser.Options();

      await this.callHook('selenium:build:options', options, builder);

      builder.setSafariOptions(options);
    });
  }

  /* istanbul ignore next */
  async _loadDependencies() {
    super._loadDependencies();

    // there is no separate safaridriver, it should already be installed

    if (!SafariSeleniumBrowser.Options) {
      const { Options } = await this.loadDependency('selenium-webdriver/safari');
      SafariSeleniumBrowser.Options = Options;
    }
  }
}

exports.default = SafariSeleniumBrowser;
